@import '../../../styles/global/var';
@import '../../../styles/global/var-pages';

.breadcrumbs-list {
    overflow: hidden;
    display: flex;
    padding: 0 0 $breadcrumbs-padding-bottom;
    margin: 0;

    &-item {
        padding-right: 20px;
        list-style: none outside none;
        position: relative;
        line-height: $breadcrumbs-item-line-height;

        &:after {
            position: absolute;
            display: block;
            content: '/';
            top: 3px;
            right: 8px;
        }

        &._text-overflow {
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }

    .breadcrumb {
        color: $gray57c;
        font-size: 14px;
        line-height: 24px;
        font-weight: 400;

        &._link:hover {
            text-decoration: none;
            color: $gray939;
        }
        &:not(._link) {
            opacity: .5;
            cursor: default;
        }
    }
}

.breadcrumb-menu {
    width: 28px;

    &__button {
        width: 20px;
        padding: 0 4px;
        line-height: 24px;
        overflow: visible;
        text-overflow: initial;
    }
    &__item {
        &-link {
            &,
            &:hover,
            &:active {
                color: $black;
                font-size: 14px;
                line-height: 24px;
            }
        }

        &-text {
            &,
            &:hover,
            &:active {
                color: $black;
                opacity: .5;
            }
        }
    }
}
